Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2137115 - [abrt] pipewire-pulseaudio: _mm_shuffle_epi32(): pipewire-pulse killed by SIGSEGV
Summary: [abrt] pipewire-pulseaudio: _mm_shuffle_epi32(): pipewire-pulse killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 37
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2faa50df82495c66096ee6ddd4a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-23 15:09 UTC by Mohamed El Yousfi
Modified: 2022-11-10 22:21 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.59-4.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-10 22:21:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: core_backtrace (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: cpuinfo (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: dso_list (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: environ (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: exploitable (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: limits (deleted)
2022-10-23 15:09 UTC, Mohamed El Yousfi
no flags Details
File: maps (deleted)
2022-10-23 15:10 UTC, Mohamed El Yousfi
no flags Details
File: mountinfo (deleted)
2022-10-23 15:10 UTC, Mohamed El Yousfi
no flags Details
File: open_fds (deleted)
2022-10-23 15:10 UTC, Mohamed El Yousfi
no flags Details
File: proc_pid_status (deleted)
2022-10-23 15:10 UTC, Mohamed El Yousfi
no flags Details

Description Mohamed El Yousfi 2022-10-23 15:09:50 UTC
Description of problem:
It's important to know that my wireless headphones (Sony 1000XM4) have "headset" capibalities, meaning that you can use them to call

0. I was playing music in the background with Spotify
1. I opened a website that asked permission to use my microphone (https://voxum.mootje.be)
2. I gave permission for the website to use the microphone
3. My headphones automatically switched to the "calling mode" and suddenly my music stopped playing (the song was still playing, but there was no sound)
4. I then closed the website that used the microphone, but there was still no sound coming from Spotify
5. I tried to switch the output sound device which for some reason made the whole system freeze

Version-Release number of selected component:
pipewire-pulseaudio-0.3.59-2.fc37

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/pipewire-pulse.service
cmdline:        /usr/bin/pipewire-pulse
crash_function: _mm_shuffle_epi32
executable:     /usr/bin/pipewire-pulse
journald_cursor: s=8ff1b875988f421b9836f204b4e076b7;i=a4d8;b=618f0c8a4ffb4a0d894a998ae957056e;m=1d74f7a17;t=5ebb4d94f3d15;x=64a004bf39a9a134
kernel:         5.19.15-301.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _mm_shuffle_epi32 at /usr/lib/gcc/x86_64-redhat-linux/12/include/emmintrin.h:1458
 #1 conv_interleave_32_1s_sse2 at ../spa/plugins/audioconvert/fmt-ops-sse2.c:712
 #2 conv_32d_to_32_sse2 at ../spa/plugins/audioconvert/fmt-ops-sse2.c:775
 #3 impl_node_process at ../spa/plugins/audioconvert/audioconvert.c:2641
 #5 process_node at ../src/pipewire/impl-node.c:1120
 #6 node_on_fd_events at ../src/pipewire/impl-node.c:1178
 #7 loop_iterate at ../spa/plugins/support/loop.c:431
 #8 do_loop at ../src/pipewire/data-loop.c:81

Comment 1 Mohamed El Yousfi 2022-10-23 15:09:53 UTC
Created attachment 1919743 [details]
File: backtrace

Comment 2 Mohamed El Yousfi 2022-10-23 15:09:54 UTC
Created attachment 1919744 [details]
File: core_backtrace

Comment 3 Mohamed El Yousfi 2022-10-23 15:09:55 UTC
Created attachment 1919745 [details]
File: cpuinfo

Comment 4 Mohamed El Yousfi 2022-10-23 15:09:56 UTC
Created attachment 1919746 [details]
File: dso_list

Comment 5 Mohamed El Yousfi 2022-10-23 15:09:57 UTC
Created attachment 1919747 [details]
File: environ

Comment 6 Mohamed El Yousfi 2022-10-23 15:09:58 UTC
Created attachment 1919748 [details]
File: exploitable

Comment 7 Mohamed El Yousfi 2022-10-23 15:09:59 UTC
Created attachment 1919749 [details]
File: limits

Comment 8 Mohamed El Yousfi 2022-10-23 15:10:00 UTC
Created attachment 1919750 [details]
File: maps

Comment 9 Mohamed El Yousfi 2022-10-23 15:10:02 UTC
Created attachment 1919751 [details]
File: mountinfo

Comment 10 Mohamed El Yousfi 2022-10-23 15:10:04 UTC
Created attachment 1919752 [details]
File: open_fds

Comment 11 Mohamed El Yousfi 2022-10-23 15:10:05 UTC
Created attachment 1919753 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2022-10-24 07:04:36 UTC
FEDORA-2022-15a7118f14 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-15a7118f14

Comment 13 Fedora Update System 2022-11-10 22:21:35 UTC
FEDORA-2022-15a7118f14 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.